---
apiVersion: v1
kind: Service
metadata:
  name: dmp-rwd-plus
  labels:
    app: dmp-rwd-plus
spec:
  selector:
    app: dmp-rwd-plus
  ports:
  - port: 8080
    targetPort: 8080
    name: server-port

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dmp-rwd-plus
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dmp-rwd-plus
  template:
    metadata:
      labels:
        app: dmp-rwd-plus
    spec:
      containers:
      - name: dmp-rwd-plus
        image: labisenlin.persagy.com/library/dmp-rwd-plus:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
          name: server-port
        env:
        - name: TZ
          value: Asia/Shanghai
        - name: SERVER_PORT
          value: "8080"
        - name: SPRING_CLOUD_CONFIG_URI
          value: "http://integrated-config:8080"
        - name: SPRING_PROFILES_ACTIVE
          value: "dev"
        - name: SPRING_CLOUD_CONFIG_PROFILE
          value: "dev"
        - name: EUREKA_CLIENT_DEFAULT_ZONE
          value: "http://frame:123456@integrated-eureka:8080/integrated-eureka/eureka/"
        - name: logging.config
          value: classpath:logback-spring.xml
        - name: eureka.instance.status-page-url
          value: "http://${eureka.instance.ip-address}:${eureka.instance.non-secure-port}/${spring.application.name}/info"
        - name: eureka.instance.non-secure-port-enabled
          value: "true"
        - name: eureka.instance.ip-address
          value: "dmp-rwd-plus"
        - name: eureka.instance.health-check-url
          value: "http://${eureka.instance.ip-address}:${eureka.instance.non-secure-port}/${spring.application.name}/health"
        - name: eureka.instance.non-secure-port
          value: "8080"
        - name: persagy.common.auth.channel
          value: "1"
        - name: saas.ems.web.service
          value: "http://ems-saas-web:8080"
        - name: mybatis-plus.configuration.log-impl
          value: "org.apache.ibatis.logging.nologging.NoLoggingImpl"
        volumeMounts:
          - mountPath: /mnt/persagy/dmp-rwd-plus/config/data.sql
            name: nfs-pvc
            subPath: dmp-rwd-plus/data.sql
      volumes:
        - name: nfs-pvc
          persistentVolumeClaim:
            claimName: pv-oss-bdtp